Last Comment Bug 777505 - java.lang.NullPointerException: at org.mozilla.gecko.GeckoInputConnection.getInputMethodManager(GeckoInputConnection.java)
: java.lang.NullPointerException: at org.mozilla.gecko.GeckoInputConnection.get...
Status: VERIFIED FIXED
[native-crash]
: crash
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: Trunk
: All Linux
: -- critical (vote)
: Firefox 17
Assigned To: Kartikaya Gupta (email:kats@mozilla.com)
:
Mentors:
Depends on:
Blocks: 769269 774205
  Show dependency treegraph
 
Reported: 2012-07-25 14:17 PDT by Scoobidiver (away)
Modified: 2012-09-06 07:11 PDT (History)
2 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
verified
verified


Attachments
Patch (1.14 KB, patch)
2012-07-26 07:40 PDT, Kartikaya Gupta (email:kats@mozilla.com)
cpeterson: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Review

Description Scoobidiver (away) 2012-07-25 14:17:50 PDT
There's one crash in 17.0a1/20120725: bp-15c2b18d-00c9-4290-bdcf-c5a5a2120725.

java.lang.NullPointerException
	at org.mozilla.gecko.GeckoInputConnection.getInputMethodManager(GeckoInputConnection.java:439)
	at org.mozilla.gecko.GeckoInputConnection.access$100(GeckoInputConnection.java:47)
	at org.mozilla.gecko.GeckoInputConnection$3.run(GeckoInputConnection.java:1075)
	at android.os.Handler.handleCallback(Handler.java:605)
	at android.os.Handler.dispatchMessage(Handler.java:92)
	at android.os.Looper.loop(Looper.java:137)
	at android.app.ActivityThread.main(ActivityThread.java:4424)
	at java.lang.reflect.Method.invokeNative(Native Method)
	at java.lang.reflect.Method.invoke(Method.java:511)
	at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:784)
	at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:551)
	at dalvik.system.NativeStart.main(Native Method)

More reports at:
https://crash-stats.mozilla.com/report/list?signature=java.lang.NullPointerException%3A+at+org.mozilla.gecko.GeckoInputConnection.getInputMethodManager%28GeckoInputConnection.java%29
Comment 1 Kartikaya Gupta (email:kats@mozilla.com) 2012-07-26 07:40:58 PDT
Created attachment 646137 [details] [diff] [review]
Patch

Missed this in my last patch, apparently getInputMethodManager can be called in a runnable as well.
Comment 2 Chris Peterson [:cpeterson] 2012-07-26 10:39:50 PDT
Comment on attachment 646137 [details] [diff] [review]
Patch

Do you know which Runnable is calling getInputMethodManager() here? Can it handle a null return? Not all of GeckoInputConnection's calls to getInputMethodManager() handle null returns (which is appropriate for code paths that can only run when we have a View and Context).
Comment 3 Kartikaya Gupta (email:kats@mozilla.com) 2012-07-26 10:53:19 PDT
In this case it's the runnable in notifyIMEChange, according to the stack trace. I looked through all of the calls to getInputMethodManager and all of the ones in runnables seem to handle null returns.
Comment 4 Kartikaya Gupta (email:kats@mozilla.com) 2012-07-26 10:55:26 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/7ed41f8b0a92
Comment 5 :Ehsan Akhgari (out sick) 2012-07-27 09:01:46 PDT
https://hg.mozilla.org/mozilla-central/rev/7ed41f8b0a92
Comment 6 Kartikaya Gupta (email:kats@mozilla.com) 2012-07-27 09:43:05 PDT
Comment on attachment 646137 [details] [diff] [review]
Patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 774205 (this patch is a follow-up to the patch on that bug, also currently pending aurora approval)
User impact if declined: possible crash
Testing completed (on m-c, etc.): on m-c
Risk to taking this patch (and alternatives if risky): mobile only, low risk
String or UUID changes made by this patch: none
Comment 8 Cristian Nicolae (:xti) 2012-09-06 07:11:10 PDT
Last crash date is 2012-07-25 and there are no crash reports since then. It seems that this issue was fixed on all branches. Closing bug as verified fixed.

--
Device: Galaxy Note
OS: Android 4.0.4

Note You need to log in before you can comment on or make changes to this bug.